//csv file met 5 columns en x rows. 
//Per keystroke verandert de state waar de data wordt opgeslagen.
//De keuze is tussen de nobody state, Trudie, Bert, Gerda en multiple people state.
//De hoogste waarde (int) van de categorie wordt geprint. 

class Data {

  Table table;
  int[][] matrix; //hier maak ik een matrix aan met kolommen (states) en rijen (filmcategorieen)

  Data(int numRows, int numColumns, String filename) {
    table = loadTable(filename, "header");
    matrix = new int[numRows][numColumns];
  }

  void save(int row, int column, float value) {
    table.setFloat(row, column, value);
  }

  int get(int row, int column) {
    return table.getInt(row, column);
  }  
  
  void saveFile(String filename) {
    saveTable(table, filename);
  }

}
